## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTJAnnotationTypeMember

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode<T>
              org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember<org.eclipse.jdt.core.dom.AnnotationTypeMemberDeclaration>
                  org.eclipse.emf.codegen.merge.java.facade.ast.ASTJAnnotationTypeMember

All Implemented Interfaces:
  JAnnotationTypeMember, JMember, JNode

    public class ASTJAnnotationTypeMember

extends ASTJMember<org.eclipse.jdt.core.dom.AnnotationTypeMemberDeclaration>
implements JAnnotationTypeMember

Field Summary
`protected java.lang.String` `defaultValue` Cached default value
`protected java.lang.String` `type` Cached type

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`comment`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode
`isCommentedOut, name, rewriter, UNITIALIZED_STRING`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`ASTJAnnotationTypeMember(org.eclipse.jdt.core.dom.AnnotationTypeMemberDeclaration annotationTypeMemberDeclaration)`

Method Summary
`void` `dispose()`
`java.lang.String` `getDefaultValue()` Returns the string representation of the default value.
`java.lang.String` `getName()` Returns the name of this node.
`java.lang.String` `getType()` Returns the string representation of the type.
`void` `setDefaultValue(java.lang.String defaultValue)` Sets default value.
`void` `setName(java.lang.String name)` Sets the name of this node.
`void` `setType(java.lang.String type)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`addChild, getAnnotationList, getChildren, getComment, getFlags, insertLastAnnotation, insertSibling, remove, setComment, setFlags`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode

`addValueToListProperty, addValueToListProperty, ancestorInserted, ancestorToBeRemoved, childToBeChanged, combineArrayAndList, commentOut, convertASTNodeListToStringArray, disableTrackAndReplace, enableTrackAndReplace, getASTNode, getContents, getFacadeHelper, getParent, getRemovedASTNode, getRewriter, getWrappedObject, insert, insertFirst, insertLast, isDisposed, nodeToBeMoved, nodeToBeRemoved, remove, removeNodeFromListProperty, removeTrackAndReplace, setASTNode, setFacadeHelper, setListNodeProperty, setNodeProperty, setNodeProperty, setParent, setRemovedASTNode, setRewriter, setTrackedNodeProperty, setWrappedObject, trackAndReplace`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getParent, getQualifiedName, setFlags`

Field Detail

### defaultValue

    protected java.lang.String defaultValue

  Cached default value

  See Also:
    `getDefaultValue()`, `setDefaultValue(String)`

### type

    protected java.lang.String type

  Cached type

  See Also:
    `getType()`, `setType(String)`

Constructor Detail

### ASTJAnnotationTypeMember

    public ASTJAnnotationTypeMember(org.eclipse.jdt.core.dom.AnnotationTypeMemberDeclaration annotationTypeMemberDeclaration)

Parameters:
  `annotationTypeMemberDeclaration` -

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ASTJMember<org.eclipse.jdt.core.dom.AnnotationTypeMemberDeclaration>`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Description copied from interface: `JAnnotationTypeMember`
  Returns the string representation of the default value. If there is no default value, returns empty string.

  Specified by:
    `getDefaultValue` in interface `JAnnotationTypeMember`
  Returns:
    default value, empty string if none

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Description copied from interface: `JAnnotationTypeMember`
  Sets default value.

  Specified by:
    `setDefaultValue` in interface `JAnnotationTypeMember`
  Parameters:
    `defaultValue` - default value to use, empty string or null if none

### getType

    public java.lang.String getType()

  Description copied from interface: `JAnnotationTypeMember`
  Returns the string representation of the type.

  Specified by:
    `getType` in interface `JAnnotationTypeMember`
  Returns:
    type

### setType

    public void setType(java.lang.String type)

  Specified by:
    `setType` in interface `JAnnotationTypeMember`
  Parameters:
    `type` - to set

### getName

    public java.lang.String getName()

  Description copied from interface: `JNode`
  Returns the name of this node.

  Specified by:
    `getName` in interface `JNode`
  Returns:
    the name, or `null` if it has no name

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `JNode`
  Sets the name of this node. If the name is used to match the nodes to be merged, it is highly recommended not to use this method.

  Specified by:
    `setName` in interface `JNode`
  See Also:
    `JNode.getQualifiedName()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.